package intrinsic.mx.collections;

public class Sort extends intrinsic.flash.events.EventDispatcher {

	/** Accessors */
	public intrinsic.Array fields;
	public intrinsic.Function compareFunction;
	public boolean unique;

	/** Variables */

	/** Constants */
	public static final String ANY_INDEX_MODE = "any_index_mode";
	public static final String FIRST_INDEX_MODE = "first_index_mode";
	public static final String VERSION = "version";
	public static final String LAST_INDEX_MODE = "last_index_mode";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Sort() {
}


/** Static Methods */

/** Methods */
public native String toString();
public native boolean propertyAffectsSort(String arg0);
public native void sort(intrinsic.Array arg0);
public native void reverse();
public native int findItem(intrinsic.Array arg0, Object arg1, String arg2);
public native int findItem(intrinsic.Array arg0, Object arg1, String arg2, boolean arg3);
public native int findItem(intrinsic.Array arg0, Object arg1, String arg2, boolean arg3, intrinsic.Function arg4);

}
